libfreehand::FHMoveToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libfreehand::FHMoveToElement Class Reference
Inheritance diagram for libfreehand::FHMoveToElement:

## Public Member Functions
| FHMoveToElement (double x, double y)
| ~FHMoveToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | writeOut (std::ostream &o) const override
void | transform (const FHTransform &trafo) override
FHPathElement * | clone () override
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const override
double | getX () const override
double | getY () const override
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ FHMoveToElement()

libfreehand::FHMoveToElement::FHMoveToElement | ( | double | x,
|  | double | y
| ) |  |
| inline

Referenced by clone().

## ◆ ~FHMoveToElement()

libfreehand::FHMoveToElement::~FHMoveToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libfreehand::FHPathElement * libfreehand::FHMoveToElement::clone | ( |  | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHArcToElement::~FHArcToElement(), libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement(), libfreehand::FHLineToElement::~FHLineToElement(), ~FHMoveToElement(), and libfreehand::FHQuadraticBezierToElement::~FHQuadraticBezierToElement().

## ◆ getBoundingBox()

void libfreehand::FHMoveToElement::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const
| overridevirtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHArcToElement::~FHArcToElement(), libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement(), libfreehand::FHLineToElement::~FHLineToElement(), ~FHMoveToElement(), and libfreehand::FHQuadraticBezierToElement::~FHQuadraticBezierToElement().

## ◆ getX()

double libfreehand::FHMoveToElement::getX | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ getY()

double libfreehand::FHMoveToElement::getY | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ transform()

void libfreehand::FHMoveToElement::transform | ( | const FHTransform & | trafo | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHArcToElement::~FHArcToElement(), libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement(), libfreehand::FHLineToElement::~FHLineToElement(), ~FHMoveToElement(), and libfreehand::FHQuadraticBezierToElement::~FHQuadraticBezierToElement().

## ◆ writeOut() [1/2]

void libfreehand::FHMoveToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHArcToElement::~FHArcToElement(), libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement(), libfreehand::FHLineToElement::~FHLineToElement(), ~FHMoveToElement(), and libfreehand::FHQuadraticBezierToElement::~FHQuadraticBezierToElement().

## ◆ writeOut() [2/2]

void libfreehand::FHMoveToElement::writeOut | ( | std::ostream & | o | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

## ◆ m_x

double libfreehand::FHMoveToElement::m_x
| private

Referenced by clone(), libfreehand::FHLineToElement::clone(), libfreehand::FHCubicBezierToElement::clone(), libfreehand::FHQuadraticBezierToElement::clone(), libfreehand::FHArcToElement::clone(), getBoundingBox(), libfreehand::FHLineToElement::getBoundingBox(), libfreehand::FHCubicBezierToElement::getBoundingBox(), libfreehand::FHQuadraticBezierToElement::getBoundingBox(), libfreehand::FHArcToElement::getBoundingBox(), getX(), libfreehand::FHLineToElement::getX(), libfreehand::FHCubicBezierToElement::getX(), libfreehand::FHQuadraticBezierToElement::getX(), libfreehand::FHArcToElement::getX(), transform(), libfreehand::FHLineToElement::transform(), libfreehand::FHCubicBezierToElement::transform(), libfreehand::FHQuadraticBezierToElement::transform(), libfreehand::FHArcToElement::transform(), writeOut(), libfreehand::FHLineToElement::writeOut(), libfreehand::FHCubicBezierToElement::writeOut(), libfreehand::FHQuadraticBezierToElement::writeOut(), and libfreehand::FHArcToElement::writeOut().

## ◆ m_y

double libfreehand::FHMoveToElement::m_y
| private

Referenced by clone(), libfreehand::FHLineToElement::clone(), libfreehand::FHCubicBezierToElement::clone(), libfreehand::FHQuadraticBezierToElement::clone(), libfreehand::FHArcToElement::clone(), getBoundingBox(), libfreehand::FHLineToElement::getBoundingBox(), libfreehand::FHCubicBezierToElement::getBoundingBox(), libfreehand::FHQuadraticBezierToElement::getBoundingBox(), libfreehand::FHArcToElement::getBoundingBox(), getY(), libfreehand::FHLineToElement::getY(), libfreehand::FHCubicBezierToElement::getY(), libfreehand::FHQuadraticBezierToElement::getY(), libfreehand::FHArcToElement::getY(), transform(), libfreehand::FHLineToElement::transform(), libfreehand::FHCubicBezierToElement::transform(), libfreehand::FHQuadraticBezierToElement::transform(), libfreehand::FHArcToElement::transform(), writeOut(), libfreehand::FHLineToElement::writeOut(), libfreehand::FHCubicBezierToElement::writeOut(), libfreehand::FHQuadraticBezierToElement::writeOut(), and libfreehand::FHArcToElement::writeOut().

The documentation for this class was generated from the following file:

- FHPath.cpp